
Extension Builder - Task # 4736

Story # 11986 (Closed): As an extension developer I want to find the extension builder in TER

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category: Code Creation
Created: 2009-09-23 Assigned To: Sebastian Michaelsen
Updated: 2011-01-08 Due date:
Subject: Persons and copyright has to be filled as well
Description

currently, the persons a user enters is not evaluated. this should be put into the copyright notice of all files.

Related issues:
related to Extension Builder - Bug # 5593: Support for persons Resolved 2009-12-01

Associated revisions
Revision 812ee6f8 - 2009-12-04 10:12 - Sebastian Michaelsen

[+API] Extbase Kickstarter: Added domainObject for Persons and corresponding Unit Tests (Credits to Christoph Dähne)
[+FEATURE] Extbase Kickstarter: Apply Author Data to domainObject.phpt and extEmconf.phpt, relates to #4736
[+API] Extbase Kickstarter: Added domainObject for Actions
[+FEATURE] Extbase Kickstarter: Scaffolding Action Controller for every Domain Objects that has defined actions
[+FEATURE] Extbase Kickstarter: Scaffolding Action templates for each Domain Object
[+FEATURE] Extbase Kickstarter: Creating a .htaccess file in Resources/Private/ to protect that directory
[~TASK] Extbase Kickstarter: Several Code Cleanups

History
#1 - 2009-12-03 01:32 - Sebastian Michaelsen
- File extauthor.diff added

My patch
    -  Adds Author, AutorEmail and AuthorCompany to the Extension Model and applies the data to domainObject.phpt and extEmconf.phpt
    -  Includes two minor CGL fixes in the extbase_kickstarter code
    -  Includes a CGL fix in the generated domain object code

It just takes one person (the last one to be exactly) which is a project manager and assumes it is the "main" person. Sure there has to be a better logic
behind it in the future. Which one of the defined persons is the "main" person can be influenced in Tx_ExtbaseKickstarter_ObjectSchemaBuilder

#2 - 2009-12-03 08:13 - Sebastian Kurfuerst

Hey Sebastian,

it'd be great if you could merge your patch with the one from #5593, as that one is well unit-tested, but does not update the ext_emconf yet.
Additionally, all authors should be added to the COPYRIGHT and into the Ext EMconf etc.

Greets and thanks for your work,
Sebastian

#3 - 2009-12-03 11:14 - Sebastian Michaelsen
- File merged.diff added

#OBSOLETE, PLEASE SEE V2#

I attached a new patch:

    -  Includes #5593
    -  Applies Author Data to domainObject.phpt and extEmconf.phpt (other files to come..)
    -  Introduces an Action Domain Object
    -  Scaffolding Action templates for each Domain Object (still empty)
    -  Creating a .htaccess file in Resources/Private/ to protect that directory
    -  Includes two minor CGL fixes in the extbase_kickstarter code
    -  Includes a CGL fix in the generated domain object code

Note: In Tx_ExtbaseKickstarter_ViewHelpers_ListObjectsByPropertyCSVViewHelper (what a name!) i used eval() which I consider generally as bad
coding style. Maybe someone could help me to get rid of it.

#4 - 2009-12-03 14:44 - Sebastian Michaelsen
- File merged_v2.diff added

I attached a new patch:

    -  Includes #5593
    -  Applies Author Data to domainObject.phpt and extEmconf.phpt (other files to come..)
    -  Introduces an Action Domain Object
    -  Scaffolding Action Controller for every Domain Objects that has defined actions
    -  Scaffolding Action templates for each Domain Object (still empty)
    -  Creating a .htaccess file in Resources/Private/ to protect that directory
    -  Fixed strange indentation in Tx_ExtbaseKickstarter_ObjectSchemaBuilder_testcase
    -  Includes two minor CGL fixes in the extbase_kickstarter code
    -  Includes a CGL fix in the generated domain object code

Note: In Tx_ExtbaseKickstarter_ViewHelpers_ListObjectsByPropertyCSVViewHelper (what a name!) i used eval() which I consider generally as bad
coding style. Maybe someone could help me to get rid of it.

#5 - 2009-12-07 09:48 - Sebastian Michaelsen
- Category set to Code Creation

#6 - 2009-12-08 09:43 - Sebastian Michaelsen
- Status changed from New to Accepted
- Assigned To set to Sebastian Michaelsen
- Target version set to 0.1

#7 - 2011-01-07 08:32 - Rens Admiraal
- Tracker changed from Bug to Task
- Target version deleted (0.1)
- Parent task set to #11986

#8 - 2011-01-08 18:26 - Nico de Haen
- Status changed from Accepted to Resolved

Can not see any errors. Propbably this was resolved during the refactoring

Files
extauthor.diff 6.3 kB 2009-12-03 Sebastian Michaelsen
merged.diff 39.6 kB 2009-12-03 Sebastian Michaelsen
merged_v2.diff 37.2 kB 2009-12-03 Sebastian Michaelsen
